blob: adf4514477516b2feb3a1692777d26a2279411e0 [file] [log] [blame]
Skyler Grey3919fc32023-02-26 13:06:50 +00001# Makefile.in generated by automake 1.16.5 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19 if test -z '$(MAKELEVEL)'; then \
20 false; \
21 elif test -n '$(MAKE_HOST)'; then \
22 true; \
23 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24 true; \
25 else \
26 false; \
27 fi; \
28}
29am__make_running_with_option = \
30 case $${target_option-} in \
31 ?) ;; \
32 *) echo "am__make_running_with_option: internal error: invalid" \
33 "target option '$${target_option-}' specified" >&2; \
34 exit 1;; \
35 esac; \
36 has_opt=no; \
37 sane_makeflags=$$MAKEFLAGS; \
38 if $(am__is_gnu_make); then \
39 sane_makeflags=$$MFLAGS; \
40 else \
41 case $$MAKEFLAGS in \
42 *\\[\ \ ]*) \
43 bs=\\; \
44 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
46 esac; \
47 fi; \
48 skip_next=no; \
49 strip_trailopt () \
50 { \
51 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52 }; \
53 for flg in $$sane_makeflags; do \
54 test $$skip_next = yes && { skip_next=no; continue; }; \
55 case $$flg in \
56 *=*|--*) continue;; \
57 -*I) strip_trailopt 'I'; skip_next=yes;; \
58 -*I?*) strip_trailopt 'I';; \
59 -*O) strip_trailopt 'O'; skip_next=yes;; \
60 -*O?*) strip_trailopt 'O';; \
61 -*l) strip_trailopt 'l'; skip_next=yes;; \
62 -*l?*) strip_trailopt 'l';; \
63 -[dEDm]) skip_next=yes;; \
64 -[JT]) skip_next=yes;; \
65 esac; \
66 case $$flg in \
67 *$$target_option*) has_opt=yes; break;; \
68 esac; \
69 done; \
70 test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89bin_PROGRAMS = run_keepass$(EXEEXT)
90subdir = .
91ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92am__aclocal_m4_deps = $(top_srcdir)/configure.ac
93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94 $(ACLOCAL_M4)
95DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
96 $(am__configure_deps) $(am__DIST_COMMON)
97am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
98 configure.lineno config.status.lineno
99mkinstalldirs = $(install_sh) -d
100CONFIG_CLEAN_FILES =
101CONFIG_CLEAN_VPATH_FILES =
102am__installdirs = "$(DESTDIR)$(bindir)"
103PROGRAMS = $(bin_PROGRAMS)
104am_run_keepass_OBJECTS = main.$(OBJEXT)
105run_keepass_OBJECTS = $(am_run_keepass_OBJECTS)
106run_keepass_LDADD = $(LDADD)
107AM_V_P = $(am__v_P_@AM_V@)
108am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
109am__v_P_0 = false
110am__v_P_1 = :
111AM_V_GEN = $(am__v_GEN_@AM_V@)
112am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113am__v_GEN_0 = @echo " GEN " $@;
114am__v_GEN_1 =
115AM_V_at = $(am__v_at_@AM_V@)
116am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
117am__v_at_0 = @
118am__v_at_1 =
119DEFAULT_INCLUDES = -I.@am__isrc@
120depcomp = $(SHELL) $(top_srcdir)/depcomp
121am__maybe_remake_depfiles = depfiles
122am__depfiles_remade = ./$(DEPDIR)/main.Po
123am__mv = mv -f
124COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
125 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126AM_V_CC = $(am__v_CC_@AM_V@)
127am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
128am__v_CC_0 = @echo " CC " $@;
129am__v_CC_1 =
130CCLD = $(CC)
131LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
132AM_V_CCLD = $(am__v_CCLD_@AM_V@)
133am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
134am__v_CCLD_0 = @echo " CCLD " $@;
135am__v_CCLD_1 =
136SOURCES = $(run_keepass_SOURCES)
137DIST_SOURCES = $(run_keepass_SOURCES)
138am__can_run_installinfo = \
139 case $$AM_UPDATE_INFO_DIR in \
140 n|no|NO) false;; \
141 *) (install-info --version) >/dev/null 2>&1;; \
142 esac
143am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
144# Read a list of newline-separated strings from the standard input,
145# and print each of them once, without duplicates. Input order is
146# *not* preserved.
147am__uniquify_input = $(AWK) '\
148 BEGIN { nonempty = 0; } \
149 { items[$$0] = 1; nonempty = 1; } \
150 END { if (nonempty) { for (i in items) print i; }; } \
151'
152# Make sure the list of sources is unique. This is necessary because,
153# e.g., the same source file might be shared among _SOURCES variables
154# for different programs/libraries.
155am__define_uniq_tagged_files = \
156 list='$(am__tagged_files)'; \
157 unique=`for i in $$list; do \
158 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
159 done | $(am__uniquify_input)`
160AM_RECURSIVE_TARGETS = cscope
161am__DIST_COMMON = $(srcdir)/Makefile.in compile depcomp install-sh \
162 missing
163DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
164distdir = $(PACKAGE)-$(VERSION)
165top_distdir = $(distdir)
166am__remove_distdir = \
167 if test -d "$(distdir)"; then \
168 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
169 && rm -rf "$(distdir)" \
170 || { sleep 5 && rm -rf "$(distdir)"; }; \
171 else :; fi
172am__post_remove_distdir = $(am__remove_distdir)
173DIST_ARCHIVES = $(distdir).tar.gz
174GZIP_ENV = --best
175DIST_TARGETS = dist-gzip
176# Exists only to be overridden by the user if desired.
177AM_DISTCHECK_DVI_TARGET = dvi
178distuninstallcheck_listfiles = find . -type f -print
179am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
180 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
181distcleancheck_listfiles = find . -type f -print
182ACLOCAL = @ACLOCAL@
183AMTAR = @AMTAR@
184AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
185AUTOCONF = @AUTOCONF@
186AUTOHEADER = @AUTOHEADER@
187AUTOMAKE = @AUTOMAKE@
188AWK = @AWK@
189CC = @CC@
190CCDEPMODE = @CCDEPMODE@
191CFLAGS = @CFLAGS@
192CPPFLAGS = @CPPFLAGS@
193CSCOPE = @CSCOPE@
194CTAGS = @CTAGS@
195CYGPATH_W = @CYGPATH_W@
196DEFS = @DEFS@
197DEPDIR = @DEPDIR@
198ECHO_C = @ECHO_C@
199ECHO_N = @ECHO_N@
200ECHO_T = @ECHO_T@
201ETAGS = @ETAGS@
202EXEEXT = @EXEEXT@
203INSTALL = @INSTALL@
204INSTALL_DATA = @INSTALL_DATA@
205INSTALL_PROGRAM = @INSTALL_PROGRAM@
206INSTALL_SCRIPT = @INSTALL_SCRIPT@
207INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
208LDFLAGS = @LDFLAGS@
209LIBOBJS = @LIBOBJS@
210LIBS = @LIBS@
211LTLIBOBJS = @LTLIBOBJS@
212MAKEINFO = @MAKEINFO@
213MKDIR_P = @MKDIR_P@
214OBJEXT = @OBJEXT@
215PACKAGE = @PACKAGE@
216PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
217PACKAGE_NAME = @PACKAGE_NAME@
218PACKAGE_STRING = @PACKAGE_STRING@
219PACKAGE_TARNAME = @PACKAGE_TARNAME@
220PACKAGE_URL = @PACKAGE_URL@
221PACKAGE_VERSION = @PACKAGE_VERSION@
222PATH_SEPARATOR = @PATH_SEPARATOR@
223SET_MAKE = @SET_MAKE@
224SHELL = @SHELL@
225STRIP = @STRIP@
226VERSION = @VERSION@
227abs_builddir = @abs_builddir@
228abs_srcdir = @abs_srcdir@
229abs_top_builddir = @abs_top_builddir@
230abs_top_srcdir = @abs_top_srcdir@
231ac_ct_CC = @ac_ct_CC@
232am__include = @am__include@
233am__leading_dot = @am__leading_dot@
234am__quote = @am__quote@
235am__tar = @am__tar@
236am__untar = @am__untar@
237bindir = @bindir@
238build_alias = @build_alias@
239builddir = @builddir@
240datadir = @datadir@
241datarootdir = @datarootdir@
242docdir = @docdir@
243dvidir = @dvidir@
244exec_prefix = @exec_prefix@
245host_alias = @host_alias@
246htmldir = @htmldir@
247includedir = @includedir@
248infodir = @infodir@
249install_sh = @install_sh@
250libdir = @libdir@
251libexecdir = @libexecdir@
252localedir = @localedir@
253localstatedir = @localstatedir@
254mandir = @mandir@
255mkdir_p = @mkdir_p@
256oldincludedir = @oldincludedir@
257pdfdir = @pdfdir@
258prefix = @prefix@
259program_transform_name = @program_transform_name@
260psdir = @psdir@
261runstatedir = @runstatedir@
262sbindir = @sbindir@
263sharedstatedir = @sharedstatedir@
264srcdir = @srcdir@
265sysconfdir = @sysconfdir@
266target_alias = @target_alias@
267top_build_prefix = @top_build_prefix@
268top_builddir = @top_builddir@
269top_srcdir = @top_srcdir@
270AUTOMAKE_OPTIONS = foreign
271run_keepass_SOURCES = main.c
272all: all-am
273
274.SUFFIXES:
275.SUFFIXES: .c .o .obj
276am--refresh: Makefile
277 @:
278$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
279 @for dep in $?; do \
280 case '$(am__configure_deps)' in \
281 *$$dep*) \
282 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
283 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
284 && exit 0; \
285 exit 1;; \
286 esac; \
287 done; \
288 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
289 $(am__cd) $(top_srcdir) && \
290 $(AUTOMAKE) --foreign Makefile
291Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
292 @case '$?' in \
293 *config.status*) \
294 echo ' $(SHELL) ./config.status'; \
295 $(SHELL) ./config.status;; \
296 *) \
297 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
298 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
299 esac;
300
301$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
302 $(SHELL) ./config.status --recheck
303
304$(top_srcdir)/configure: $(am__configure_deps)
305 $(am__cd) $(srcdir) && $(AUTOCONF)
306$(ACLOCAL_M4): $(am__aclocal_m4_deps)
307 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
308$(am__aclocal_m4_deps):
309install-binPROGRAMS: $(bin_PROGRAMS)
310 @$(NORMAL_INSTALL)
311 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
312 if test -n "$$list"; then \
313 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
314 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
315 fi; \
316 for p in $$list; do echo "$$p $$p"; done | \
317 sed 's/$(EXEEXT)$$//' | \
318 while read p p1; do if test -f $$p \
319 ; then echo "$$p"; echo "$$p"; else :; fi; \
320 done | \
321 sed -e 'p;s,.*/,,;n;h' \
322 -e 's|.*|.|' \
323 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
324 sed 'N;N;N;s,\n, ,g' | \
325 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
326 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
327 if ($$2 == $$4) files[d] = files[d] " " $$1; \
328 else { print "f", $$3 "/" $$4, $$1; } } \
329 END { for (d in files) print "f", d, files[d] }' | \
330 while read type dir files; do \
331 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
332 test -z "$$files" || { \
333 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
334 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
335 } \
336 ; done
337
338uninstall-binPROGRAMS:
339 @$(NORMAL_UNINSTALL)
340 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
341 files=`for p in $$list; do echo "$$p"; done | \
342 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
343 -e 's/$$/$(EXEEXT)/' \
344 `; \
345 test -n "$$list" || exit 0; \
346 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
347 cd "$(DESTDIR)$(bindir)" && rm -f $$files
348
349clean-binPROGRAMS:
350 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
351
352run_keepass$(EXEEXT): $(run_keepass_OBJECTS) $(run_keepass_DEPENDENCIES) $(EXTRA_run_keepass_DEPENDENCIES)
353 @rm -f run_keepass$(EXEEXT)
354 $(AM_V_CCLD)$(LINK) $(run_keepass_OBJECTS) $(run_keepass_LDADD) $(LIBS)
355
356mostlyclean-compile:
357 -rm -f *.$(OBJEXT)
358
359distclean-compile:
360 -rm -f *.tab.c
361
362@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@ # am--include-marker
363
364$(am__depfiles_remade):
365 @$(MKDIR_P) $(@D)
366 @echo '# dummy' >$@-t && $(am__mv) $@-t $@
367
368am--depfiles: $(am__depfiles_remade)
369
370.c.o:
371@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
372@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
373@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
374@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
375@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
376
377.c.obj:
378@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
379@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
380@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
381@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
382@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
383
384ID: $(am__tagged_files)
385 $(am__define_uniq_tagged_files); mkid -fID $$unique
386tags: tags-am
387TAGS: tags
388
389tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
390 set x; \
391 here=`pwd`; \
392 $(am__define_uniq_tagged_files); \
393 shift; \
394 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
395 test -n "$$unique" || unique=$$empty_fix; \
396 if test $$# -gt 0; then \
397 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
398 "$$@" $$unique; \
399 else \
400 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
401 $$unique; \
402 fi; \
403 fi
404ctags: ctags-am
405
406CTAGS: ctags
407ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
408 $(am__define_uniq_tagged_files); \
409 test -z "$(CTAGS_ARGS)$$unique" \
410 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
411 $$unique
412
413GTAGS:
414 here=`$(am__cd) $(top_builddir) && pwd` \
415 && $(am__cd) $(top_srcdir) \
416 && gtags -i $(GTAGS_ARGS) "$$here"
417cscope: cscope.files
418 test ! -s cscope.files \
419 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
420clean-cscope:
421 -rm -f cscope.files
422cscope.files: clean-cscope cscopelist
423cscopelist: cscopelist-am
424
425cscopelist-am: $(am__tagged_files)
426 list='$(am__tagged_files)'; \
427 case "$(srcdir)" in \
428 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
429 *) sdir=$(subdir)/$(srcdir) ;; \
430 esac; \
431 for i in $$list; do \
432 if test -f "$$i"; then \
433 echo "$(subdir)/$$i"; \
434 else \
435 echo "$$sdir/$$i"; \
436 fi; \
437 done >> $(top_builddir)/cscope.files
438
439distclean-tags:
440 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
441 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
442distdir: $(BUILT_SOURCES)
443 $(MAKE) $(AM_MAKEFLAGS) distdir-am
444
445distdir-am: $(DISTFILES)
446 $(am__remove_distdir)
447 test -d "$(distdir)" || mkdir "$(distdir)"
448 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
449 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
450 list='$(DISTFILES)'; \
451 dist_files=`for file in $$list; do echo $$file; done | \
452 sed -e "s|^$$srcdirstrip/||;t" \
453 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
454 case $$dist_files in \
455 */*) $(MKDIR_P) `echo "$$dist_files" | \
456 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
457 sort -u` ;; \
458 esac; \
459 for file in $$dist_files; do \
460 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
461 if test -d $$d/$$file; then \
462 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
463 if test -d "$(distdir)/$$file"; then \
464 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
465 fi; \
466 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
467 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
468 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
469 fi; \
470 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
471 else \
472 test -f "$(distdir)/$$file" \
473 || cp -p $$d/$$file "$(distdir)/$$file" \
474 || exit 1; \
475 fi; \
476 done
477 -test -n "$(am__skip_mode_fix)" \
478 || find "$(distdir)" -type d ! -perm -755 \
479 -exec chmod u+rwx,go+rx {} \; -o \
480 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
481 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
482 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
483 || chmod -R a+r "$(distdir)"
484dist-gzip: distdir
485 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
486 $(am__post_remove_distdir)
487
488dist-bzip2: distdir
489 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
490 $(am__post_remove_distdir)
491
492dist-lzip: distdir
493 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
494 $(am__post_remove_distdir)
495
496dist-xz: distdir
497 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
498 $(am__post_remove_distdir)
499
500dist-zstd: distdir
501 tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
502 $(am__post_remove_distdir)
503
504dist-tarZ: distdir
505 @echo WARNING: "Support for distribution archives compressed with" \
506 "legacy program 'compress' is deprecated." >&2
507 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
508 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
509 $(am__post_remove_distdir)
510
511dist-shar: distdir
512 @echo WARNING: "Support for shar distribution archives is" \
513 "deprecated." >&2
514 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
515 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
516 $(am__post_remove_distdir)
517
518dist-zip: distdir
519 -rm -f $(distdir).zip
520 zip -rq $(distdir).zip $(distdir)
521 $(am__post_remove_distdir)
522
523dist dist-all:
524 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
525 $(am__post_remove_distdir)
526
527# This target untars the dist file and tries a VPATH configuration. Then
528# it guarantees that the distribution is self-contained by making another
529# tarfile.
530distcheck: dist
531 case '$(DIST_ARCHIVES)' in \
532 *.tar.gz*) \
533 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
534 *.tar.bz2*) \
535 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
536 *.tar.lz*) \
537 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
538 *.tar.xz*) \
539 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
540 *.tar.Z*) \
541 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
542 *.shar.gz*) \
543 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
544 *.zip*) \
545 unzip $(distdir).zip ;;\
546 *.tar.zst*) \
547 zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
548 esac
549 chmod -R a-w $(distdir)
550 chmod u+w $(distdir)
551 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
552 chmod a-w $(distdir)
553 test -d $(distdir)/_build || exit 0; \
554 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
555 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
556 && am__cwd=`pwd` \
557 && $(am__cd) $(distdir)/_build/sub \
558 && ../../configure \
559 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
560 $(DISTCHECK_CONFIGURE_FLAGS) \
561 --srcdir=../.. --prefix="$$dc_install_base" \
562 && $(MAKE) $(AM_MAKEFLAGS) \
563 && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
564 && $(MAKE) $(AM_MAKEFLAGS) check \
565 && $(MAKE) $(AM_MAKEFLAGS) install \
566 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
567 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
568 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
569 distuninstallcheck \
570 && chmod -R a-w "$$dc_install_base" \
571 && ({ \
572 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
573 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
574 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
575 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
576 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
577 } || { rm -rf "$$dc_destdir"; exit 1; }) \
578 && rm -rf "$$dc_destdir" \
579 && $(MAKE) $(AM_MAKEFLAGS) dist \
580 && rm -rf $(DIST_ARCHIVES) \
581 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
582 && cd "$$am__cwd" \
583 || exit 1
584 $(am__post_remove_distdir)
585 @(echo "$(distdir) archives ready for distribution: "; \
586 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
587 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
588distuninstallcheck:
589 @test -n '$(distuninstallcheck_dir)' || { \
590 echo 'ERROR: trying to run $@ with an empty' \
591 '$$(distuninstallcheck_dir)' >&2; \
592 exit 1; \
593 }; \
594 $(am__cd) '$(distuninstallcheck_dir)' || { \
595 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
596 exit 1; \
597 }; \
598 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
599 || { echo "ERROR: files left after uninstall:" ; \
600 if test -n "$(DESTDIR)"; then \
601 echo " (check DESTDIR support)"; \
602 fi ; \
603 $(distuninstallcheck_listfiles) ; \
604 exit 1; } >&2
605distcleancheck: distclean
606 @if test '$(srcdir)' = . ; then \
607 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
608 exit 1 ; \
609 fi
610 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
611 || { echo "ERROR: files left in build directory after distclean:" ; \
612 $(distcleancheck_listfiles) ; \
613 exit 1; } >&2
614check-am: all-am
615check: check-am
616all-am: Makefile $(PROGRAMS)
617installdirs:
618 for dir in "$(DESTDIR)$(bindir)"; do \
619 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
620 done
621install: install-am
622install-exec: install-exec-am
623install-data: install-data-am
624uninstall: uninstall-am
625
626install-am: all-am
627 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
628
629installcheck: installcheck-am
630install-strip:
631 if test -z '$(STRIP)'; then \
632 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
633 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
634 install; \
635 else \
636 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
637 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
638 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
639 fi
640mostlyclean-generic:
641
642clean-generic:
643
644distclean-generic:
645 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
646 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
647
648maintainer-clean-generic:
649 @echo "This command is intended for maintainers to use"
650 @echo "it deletes files that may require special tools to rebuild."
651clean: clean-am
652
653clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
654
655distclean: distclean-am
656 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
657 -rm -f ./$(DEPDIR)/main.Po
658 -rm -f Makefile
659distclean-am: clean-am distclean-compile distclean-generic \
660 distclean-tags
661
662dvi: dvi-am
663
664dvi-am:
665
666html: html-am
667
668html-am:
669
670info: info-am
671
672info-am:
673
674install-data-am:
675
676install-dvi: install-dvi-am
677
678install-dvi-am:
679
680install-exec-am: install-binPROGRAMS
681
682install-html: install-html-am
683
684install-html-am:
685
686install-info: install-info-am
687
688install-info-am:
689
690install-man:
691
692install-pdf: install-pdf-am
693
694install-pdf-am:
695
696install-ps: install-ps-am
697
698install-ps-am:
699
700installcheck-am:
701
702maintainer-clean: maintainer-clean-am
703 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
704 -rm -rf $(top_srcdir)/autom4te.cache
705 -rm -f ./$(DEPDIR)/main.Po
706 -rm -f Makefile
707maintainer-clean-am: distclean-am maintainer-clean-generic
708
709mostlyclean: mostlyclean-am
710
711mostlyclean-am: mostlyclean-compile mostlyclean-generic
712
713pdf: pdf-am
714
715pdf-am:
716
717ps: ps-am
718
719ps-am:
720
721uninstall-am: uninstall-binPROGRAMS
722
723.MAKE: install-am install-strip
724
725.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles am--refresh check \
726 check-am clean clean-binPROGRAMS clean-cscope clean-generic \
727 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
728 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
729 dist-zstd distcheck distclean distclean-compile \
730 distclean-generic distclean-tags distcleancheck distdir \
731 distuninstallcheck dvi dvi-am html html-am info info-am \
732 install install-am install-binPROGRAMS install-data \
733 install-data-am install-dvi install-dvi-am install-exec \
734 install-exec-am install-html install-html-am install-info \
735 install-info-am install-man install-pdf install-pdf-am \
736 install-ps install-ps-am install-strip installcheck \
737 installcheck-am installdirs maintainer-clean \
738 maintainer-clean-generic mostlyclean mostlyclean-compile \
739 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
740 uninstall-am uninstall-binPROGRAMS
741
742.PRECIOUS: Makefile
743
744
745# Tell versions [3.59,3.63) of GNU make to not export all variables.
746# Otherwise a system limit (for SysV at least) may be exceeded.
747.NOEXPORT: